Open CASCADE Technology: ShapeBuild_Vertex Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeBuild_Vertex Class Reference

Provides low-level functions used for constructing vertices. More...

`#include <ShapeBuild_Vertex.hxx>`

## Public Member Functions
TopoDS_Vertex | CombineVertex (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real tolFactor=1.0001) const
| Combines new vertex from two others. This new one is the smallest vertex which comprises both of the source vertices. The function takes into account the positions and tolerances of the source vertices. The tolerance of the new vertex will be equal to the minimal tolerance that is required to comprise source vertices multiplied by tolFactor (in order to avoid errors because of discreteness of calculations). More...
TopoDS_Vertex | CombineVertex (const gp_Pnt &pnt1, const gp_Pnt &pnt2, const Standard_Real tol1, const Standard_Real tol2, const Standard_Real tolFactor=1.0001) const
| The same function as above, except that it accepts two points and two tolerances instead of vertices. More...

## Detailed Description

Provides low-level functions used for constructing vertices.

## Member Function Documentation

TopoDS_Vertex ShapeBuild_Vertex::CombineVertex | ( | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2,
|  | const Standard_Real | tolFactor = `1.0001`
| ) |  | const

Combines new vertex from two others. This new one is the smallest vertex which comprises both of the source vertices. The function takes into account the positions and tolerances of the source vertices. The tolerance of the new vertex will be equal to the minimal tolerance that is required to comprise source vertices multiplied by tolFactor (in order to avoid errors because of discreteness of calculations).

TopoDS_Vertex ShapeBuild_Vertex::CombineVertex | ( | const gp_Pnt & | pnt1,
|  | const gp_Pnt & | pnt2,
|  | const Standard_Real | tol1,
|  | const Standard_Real | tol2,
|  | const Standard_Real | tolFactor = `1.0001`
| ) |  | const

The same function as above, except that it accepts two points and two tolerances instead of vertices.

The documentation for this class was generated from the following file:

- ShapeBuild_Vertex.hxx